Package de.gebit.integrity.dsl

## Interface MethodReference

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `MethodReferenceImpl`

      public interface MethodReference
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Method Reference'.

  The following features are supported:

  - `Type`
  - `Method`
  See Also:
    `DslPackage.getMethodReference()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.common.types.JvmOperation` | `getMethod()` | Returns the value of the 'Method' reference.
    `org.eclipse.xtext.common.types.JvmType` | `getType()` | Returns the value of the 'Type' reference.
    `void` | `setMethod​(org.eclipse.xtext.common.types.JvmOperation value)` | Sets the value of the '`Method`' reference.
    `void` | `setType​(org.eclipse.xtext.common.types.JvmType value)` | Sets the value of the '`Type`' reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getType

          org.eclipse.xtext.common.types.JvmType getType()

      Returns the value of the 'Type' reference.
      Returns:
        the value of the 'Type' reference.
      See Also:
        `setType(JvmType)`, `DslPackage.getMethodReference_Type()`

    - #### setType

          void setType​(org.eclipse.xtext.common.types.JvmType value)

      Sets the value of the '`Type`' reference.
      Parameters:
        `value` - the new value of the 'Type' reference.
      See Also:
        `getType()`

    - #### getMethod

          org.eclipse.xtext.common.types.JvmOperation getMethod()

      Returns the value of the 'Method' reference.
      Returns:
        the value of the 'Method' reference.
      See Also:
        `setMethod(JvmOperation)`, `DslPackage.getMethodReference_Method()`

    - #### setMethod

          void setMethod​(org.eclipse.xtext.common.types.JvmOperation value)

      Sets the value of the '`Method`' reference.
      Parameters:
        `value` - the new value of the 'Method' reference.
      See Also:
        `getMethod()`